<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=">
  <title>Debian Project -- General LDAP Documentation</title>
  <link rev="made" href="mailto:webmaster@debconf.org">
  <meta name="Generator" content="WML 2.0.8 (30-Oct-2001)">
  <meta name="Modified" content="2005-01-28 20:13:09">
</head>
<body text="#000000" bgcolor="#FFFFFF" link="#0000FF" vlink="#800080" alink="#FF0000">
<table width="100%" align="center" border="0" cellpadding="3" cellspacing="0" summary="">
<tr>
  <td align="left" valign="middle">
  <a href="http://www.debian.org/"><img src="http://www.debian.org/logos/openlogo-nd-50.png" border="0" hspace="0" vspace="0" alt=""></a>
  <a href="http://www.debian.org/" rel="start"><img src="http://www.debian.org/Pics/debian.png" border="0" hspace="0" vspace="0" alt="Debian Project"></a>
  </td>
</tr>
</table>
<!--UdmComment-->
<table bgcolor="#DF0451" border="0" cellpadding="0" cellspacing="0" width="100%" summary="">
<tr>
<td valign="top">
<img src="http://www.debian.org/Pics/red-upperleft.png" align="left" border="0" hspace="0" vspace="0" alt="">
</td>
<td rowspan="2" align="center">
<a href="http://www.debconf.org/intro/about"><img src="http://www.debian.org/Pics/about.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="About Debian"></a>
<a href="http://www.debconf.org/News/"><img src="http://www.debian.org/Pics/news.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="News"></a>
<a href="http://www.debconf.org/distrib/"><img src="http://www.debian.org/Pics/getting.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Getting Debian"></a>
<a href="http://www.debconf.org/support"><img src="http://www.debian.org/Pics/support.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Support"></a>
<a href="http://www.debconf.org/devel/"><img src="http://www.debian.org/Pics/devel.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Developers'&nbsp;Corner"></a>
<a href="http://www.debconf.org/sitemap" rel="contents"><img src="http://www.debian.org/Pics/sitemap.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Site map"></a>
<a href="http://search.debconf.org/"><img src="http://www.debian.org/Pics/search.en.gif" align="middle" border="0" hspace="4" vspace="7" alt="Search"></a>
</td>
<td valign="top">
<img src="http://www.debian.org/Pics/red-upperright.png" align="right" border="0" hspace="0" vspace="0" alt="">
</td>
</tr>
<tr>
<td valign="bottom">
<img src="http://www.debian.org/Pics/red-lowerleft.png" align="left" border="0" hspace="0" vspace="0" alt="">
</td>
<td valign="bottom">
<img src="http://www.debian.org/Pics/red-lowerright.png" align="right" border="0" hspace="0" vspace="0" alt="">
</td>
</tr>
</table>
<!--/UdmComment-->
<h1>General LDAP Documentation</h1>
<p>
debconf.org uses a single LDAP driven directory for account management across
all the project run <a href="/machines.cgi">machines</a>. This directory
also provides services for leaving vacation notices, updating
<a href="http://www.debconf.org/devel/developers.loc">xplanet</a> coordinates,
email forwarding, ssh authentication keys and other information.
<p>
Note: the 'passwd' program and 'chfn' do not work with LDAP information.
Please use the web page or email gateway for the time being. All machines
running OpenSSH are using replicated SSH RSA authentication keys.
<h1>Security and Privacy</h1>
<p>
Three levels of information security are provided by the database. The first
is completely public information that anyone can see either by issuing an
LDAP query or by visiting the web site. The next level is
<em>developer-only</em> information that requires the search to be
performed from a .debconf.org machine (see <a href="doc-direct.html">this
tutorial</a> on how to use ldapsearch from a .debconf.org machine for a
direct connection to the LDAP daemon) or from the web interface after
one has authenticated themselves as a Debian Developer. The final level is
<em>admin-only</em> or <em>user-only</em> information; this
information can only be viewed by the user or an administrator.
<p>
<em>developer-only</em> information includes precise location information
[postalcode, postal address, lat/long] telephone numbers, and the vacation
message.
<p>
<em>Admin-only/user-only</em> information includes email forwarding,
ssh keys and
the encrypted password. Note that email forwarding is necessarily publicly
viewable from accounts on the actual machines.
<p>
Entries in the directory are keyed to the developers PGP key, whoever has that
key can make any change to the directory through the mail interface.
<h1>Access</h1>
<p>
The directory has several means to access it:
<ul>
<li><a href="https://db.debconf.org/login.html">SSL Web Forms</a>
<li><a href="doc-mail.html">Mail gateway</a>
<li><a href="doc-direct.html">Direct LDAP Access</a>
<li>LDAP command line tools such as <tt>ud-info</tt>
</ul>
<p>
<a href="password.html">Lost or forgotten password instructions</a>
<hr noshade width="100%" size="1">
Back to the <a href="http://www.debian.org/">Debian Project homepage</a>.
<hr noshade width="100%" size="1">
<small>
You can contact us at
<a href="mailto:admin@db.debconf.org">admin@db.debconf.org</a>.
</small>
<p>
<p><small>
Last Modified: Fri, Jan 28 19:13:06 UTC 2005
  <br>
  Copyright &copy; 1997-2005
 <a href="http://www.spi-inc.org/">SPI</a>; See <a href="http://www.debconf.org/license" rel="copyright">license terms</a><br>
  Debian is a registered trademark of Software in the Public Interest, Inc.
</small></p>
</body>
</html>
